com.sun.syndication.feed.module

## Interface Extendable

All Known Subinterfaces:
  SyndEntry, SyndFeed, SyndPerson

All Known Implementing Classes:
  Channel, Entry, Feed, Item, Person, SyndEntryImpl, SyndFeedImpl, SyndPersonImpl, WireFeed

    public interface Extendable

Objects that can have modules are Extendable.

### Method Summary

Methods
`Module` `getModule(java.lang.String uri)` Returns the module identified by a given URI.
`java.util.List` `getModules()` Returns the entry modules.
`void` `setModules(java.util.List modules)` Sets the entry modules.

### Method Detail

#### getModule

    Module getModule(java.lang.String uri)

Returns the module identified by a given URI.

Parameters:
  `uri` - the URI of the ModuleImpl.
Returns:
  The module with the given URI, null if none.

#### getModules

    java.util.List getModules()

Returns the entry modules.

Returns:
  a list of ModuleImpl elements with the entry modules, an empty list if none.

#### setModules

    void setModules(java.util.List modules)

Sets the entry modules.

Parameters:
  `modules` - the list of ModuleImpl elements with the entry modules to set, an empty list or null if none.